Name:           xmlunit
Version:        1.6
Release:        10
Summary:        Unit Testing XML for Java and .NET
License:        BSD
URL:            http://xmlunit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/xmlunit/xmlunit-1.6-src.zip
Source1:        https://repo1.maven.org/maven2/xmlunit/xmlunit/1.0/xmlunit-1.0.pom
BuildArch:      noarch

BuildRequires:  javapackages-local, ant, ant-junit, junit, xalan-j2, xerces-j2, xml-commons-apis
Requires:       junit, xalan-j2, xml-commons-apis
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
XMLUnit provides you with the tools to verify the XML you emit is the one you want to create.
It provides helpers to validate against an XML Schema, assert the values of XPath queries or
compare XML documents against expected outcomes.

%prep
%autosetup -p1

sed -i /java.class.path/d build.xml
find . -name "*.jar" -delete;
rm -rf doc

sed -i 's/\r//g' README.txt LICENSE.txt

%mvn_file : %{name}

%build
ant -Dbuild.compiler=modern -Dhaltonfailure=yes -Djunit.lib=$(build-classpath junit) \
    -Dxmlxsl.lib= -Dtest.report.dir=test -Ddb5.xsl=%{_datadir}/sgml/docbook/xsl-ns-stylesheets jar javadocs

%mvn_artifact %{SOURCE1} build/lib/%{name}-%{version}.jar

%install
%mvn_install -J build/doc/api/

%check
ant

%files -f .mfiles
%doc README.txt LICENSE.txt userguide/XMLUnit-Java.pdf
%{_javadocdir}/%{name}/*

%changelog
* Tue Dec 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6-9
- Package init
